#ifndef __LCD_44780_H__
#define __LCD_44780_H__

#include <fx2.h>

void lcd_44780_init(void);

void lcd_44780_gotoxy(		BYTE x, BYTE y);
void lcd_44780_putc(		BYTE c);
void lcd_44780_putx2(		BYTE c);
void lcd_44780_putled(		BYTE n, BYTE value);

extern void lcd_44780_puts( char *);

#define lcd_init()			lcd_44780_init()

#define	lcd_gotoxy(x,y)		lcd_44780_gotoxy(x,y)
#define	lcd_putc(c)			lcd_44780_putc(c)
#define	lcd_putx2(c)		lcd_44780_putx2(c)
#define lcd_putled(n,v)		lcd_44780_putled(n,v)
#define lcd_puts(s)			lcd_44780_puts(s)

#endif
